summaryrefslogtreecommitdiffstats
path: root/deploy_services.sh
diff options
context:
space:
mode:
authorJan T <jan@jantuomi.fi>2025-08-26 11:24:50 +0000
committerGitHub <noreply@github.com>2025-08-26 11:24:50 +0000
commitc7598aa23c5cfbacbb167862032694c136fd598f (patch)
treef089c6881a65c6e53992bcd4f546c11d2c691cb2 /deploy_services.sh
parent548f34f599d0742998c71e215afb28258ee31c27 (diff)
parent038b3ae298aefa179cdcb21c881fa5350cf92cb7 (diff)
Merge pull request #2 from onnilampi/main
Containerize application and manage it with systemd
Diffstat (limited to 'deploy_services.sh')
-rwxr-xr-xdeploy_services.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/deploy_services.sh b/deploy_services.sh
new file mode 100755
index 0000000..9549ed2
--- /dev/null
+++ b/deploy_services.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# Script deploys the quadlet files to the user specific directories and lets systemd build the service files.
+# Finally, it copies the generated service file into a static location and enables it.
+
+set -euxo pipefail
+
+export XDG_RUNTIME_DIR="/run/user/$(id -u)"
+cp veetibot.build /home/slack-veetibot/.config/containers/systemd/
+cp veetibot.container /home/slack-veetibot/.config/containers/systemd/
+systemctl --user daemon-reload
+cp /run/user/1005/systemd/generator/veetibot.service /home/slack-veetibot/.config/systemd/user
+systemctl --user enable veetibot